# Using ESMValTool in MN or AMD
## Copy data to GPFS for ESMValTool


This tool will give you the instructions to copy the data you need to run a ESMValTool recipe in MN or AMD.

### Usage

This script can be used in any machine where esarchive is mounted and ESMValTool is available.


```
module load ESMValTool
python required_files.py path2esvaltoolrecipe.yml
```

or

```
module load ESMValTool
python3
>>> from copy2gpfs import copy2gpfs
>>> copy2gpfs('path2esvaltoolrecipe.yml')
```

### Note
You can change the environment variable in the top file to copy files to scratch or projects. You can check the occupation of each folder with bsc_quota in MN or transfer machines. Note that given config files are set to work with data in scratch, if you copy data to projects you can workaround this by using symbolic links (`ln -s` command).

## Config files
Example `config-user.yml` is given. Note that to use this file you need to add the following lines in the HPC `~/.bashrc` to define the environment variables. Note that two different `config-developer` files are also given as in MN we don't have acces to the department cmor tables, it is recommended to take latest version from [es-esmvaltool repository](https://earth.bsc.es/gitlab/es/es-esmvaltool/-/tree/master/config-files)  and create `config-developer-mn5.yml` by removing `cmor_path` entries.

```bash
if [ $BSC_MACHINE == "nord4" ]; then
  export ESARCHIVE="/esarchive"
  export ESMValDev="$HOME/.config/esmvaltool-dev/config-developer.yml"
elif [ $BSC_MACHINE == "amd" ]; then
  export ESARCHIVE="/gpfs/scratch/bsc32/bsc032050/esarchive"
  export ESMValDev="$HOME/.config/esmvaltool-dev/config-developer-mn5.yml"
elif [ $BSC_MACHINE == "mn5" ]; then
  export ESARCHIVE="/gpfs/scratch/bsc32/bsc032050/esarchive"
  export ESMValDev="$HOME/.config/esmvaltool-dev/config-developer-mn5.yml"
fi
```

If you want to use the same file in the huv you can directly add in your `~/.bashrc` the following lines
```bash
export ESARCHIVE="/esarchive"
export ESMValDev="$HOME/.config/esmvaltool-dev/config-developer.yml"
```

Note that this config file structure is set to work with ESMValTool 2.12.0 or higher.
